# Users

<table data-header-hidden><thead><tr><th width="207.16438356164383"></th><th></th><th></th></tr></thead><tbody><tr><td><strong>Function</strong></td><td><strong>Endpoint</strong></td><td><strong>Description</strong></td></tr><tr><td><a href="/pages/R0dupGTJVxgV4vw2Gl29">Create user</a></td><td><code>POST /api/v1/partners/users</code></td><td>Create a new user for the person using your integration.</td></tr><tr><td><a href="/pages/HMrrpwMxfSHmeP6hNhRb">Get User</a></td><td><code>GET /api/v1/partners/users/{user}</code></td><td>First you need to check if your user is already a confirmed KYC approved user.</td></tr><tr><td><a href="/pages/tvCagZQjoP0OmeJXqpbf">Update user</a></td><td><code>POST /api/v1/partners/users</code></td><td>Update the user for the person using your integration.</td></tr><tr><td><a href="/pages/34jNJR0KsnaFuLprqXQg">User balance</a></td><td> <code>GET /api/v1/partners/users/{user_id}/balances</code></td><td>Fetch users balance to ensure enough funds.</td></tr><tr><td><a href="/pages/E70Om5Kx1CK1jJyC9pz1">Master balance</a></td><td><code>GET /api/v1/partners/balances</code></td><td>Fetch the master users balance.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.kriptomat.io/docs/whitelabel-api-fiat-onramp-offramp-via-bank-wire/api-reference/endpoints/users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
